<?php

class formLanguagesOptions extends cmsForm {

    public $is_tabbed = true;

    public function init() {
		
        return array(

            array(
                'type' => 'fieldset',
                'title' => LANG_LANGS_KEY_OPTIONS,
                'childs' => array(
					new fieldString('yandex_key', array(
                        'title' => LANG_LANGS_YANDEX_KEY,
						'hint' => LANG_LANGS_YANDEX_KEY_HINT,						
                    )),
					new fieldString('translate_fields', array(
                        'title' => LANG_LANGS_TR_FIELDS,
						'hint' => LANG_LANGS_TR_FIELDS_HINT,
						'rules' => array(
							array('required')
						)						
                    )),	
					new fieldNumber('limit_content', array(
						'title' => LANG_LANGS_LIMIT_PAGES,
						'default' => 15,
						'rules' => array(
							array('required')
						)
					)),
					new fieldNumber('limit_tags', array(
						'title' => LANG_LANGS_LIMIT_TAGS,
						'default' => 30,
						'rules' => array(
							array('required')
						)
					)),	
					new fieldNumber('limit_geo', array(
						'title' => LANG_LANGS_LIMIT_GEO,
						'default' => 50,
						'rules' => array(
							array('required')
						)
					)),
					new fieldCheckbox('enable_forms', array(
                        'title' => LANG_LANGS_ENABLE_FORMS,
                    )),					
									
					new fieldCheckbox('forms_admin', array(
                        'title' => LANG_LANGS_ALLOW_FORM_ADMIN,
                    )),

                    new fieldCheckbox('forms_user', array(
                        'title' => LANG_LANGS_ALLOW_FORM_USER,
                    )),	
					
					new fieldCheckbox('forms_guest', array(
                        'title' => LANG_LANGS_ALLOW_FORM_GUEST,
                    )),	
					
					new fieldCheckbox('autotranslate', array(
                        'title' => LANG_LANGS_AUTO_TRANSLATE,
                    )),		
					
					new fieldCheckbox('autotranslate_tags', array(
                        'title' => LANG_LANGS_AUTO_TRANSLATE_TAGS,
                    )),						
                )
            ),
		
			   

        );

    }

}
