<?php

class languages extends cmsFrontend {
	
	protected $useOptions = true;
	
	public function actionSetlang($lang = false){
		
		if(!$lang){cmsCore::error404();}
	
		$langs = cmsCore::getLanguages();
		$is_lang = in_array($lang, $langs);
		if(!$is_lang){cmsCore::error404();}

		$segments = explode('/', mb_substr($_SERVER['HTTP_REFERER'], mb_strlen($this->cms_config->host.'/')));
		
		if (isset($segments[0]) && preg_match('/^[a-z]{2}$/i', $segments[0]) && in_array($segments[0], $langs)) {
			
			if ($lang == $this->cms_config->language) { unset($segments[0]); } else { $segments[0] = $lang; }
			$_SERVER['HTTP_REFERER'] = $this->cms_config->host.'/'.implode('/', $segments);
			
		} else {
			if($lang != $this->cms_config->language) $segments[0] = $lang . '/' . $segments[0];
			$_SERVER['HTTP_REFERER'] = $this->cms_config->host.'/'.implode('/', $segments);
			
		}
		
		$this->redirectBack();
		
	}
	
	public function getUrlLang(){
		$segments = explode('/', mb_substr($_SERVER['REDIRECT_URL'], mb_strlen($this->cms_config->root)));
		if (!empty($segments[0])) {
			$may_be_lang = $segments[0];
			$langs = cmsCore::getLanguages();
			if(in_array($may_be_lang, $langs)){
				return $may_be_lang;
			}
		}
		return false;
	}
	

	
}