<?php

class actionContentItemPropsFields extends cmsAction {

    public function run(){

        //if (!$this->request->isAjax()) { cmsCore::error404(); }

        $ctype_name  = $this->request->get('ctype_name', '');
        $category_id = $this->request->get('category_id', 0);
        $item_id     = $this->request->get('item_id', 0);

        if (!$ctype_name || !$category_id) { cmsCore::error404(); }

        $ctype = $this->model->getContentTypeByName($ctype_name);
        if (!$ctype) { cmsCore::error404(); }

        $template = cmsTemplate::getInstance();

        $props = $this->model->getContentProps($ctype['name'], $category_id);

# перевод свойств контента	
	$system_lang = cmsCore::getLanguageName();
	$config = cmsConfig::getInstance();
    if(cmsCore::isControllerExists('languages') && $system_lang !== $config->language) {
		$model = cmsCore::getModel('languages');
		if($props)	
		foreach($props as $key=>$val){		
			$trans_prop = $model->filterEqual('item_id', $val['id'])->filterEqual('lang', 

$system_lang)->get('languages_con_'.$ctype['name'].'_props');
			$model->filterEqual('item_id', $val['id'] + 1000)->filterEqual('lang', $system_lang);
			$trans_prop_vals = $model->getFieldFiltered('languages_con_'.$ctype['name'].'_props', 

'vals');
			if($trans_prop)
			foreach($trans_prop as $tp){		
				$props[$val['id']]['title'] = $tp['title'];
				$props[$val['id']]['fieldset'] = $tp['fieldset'];			
				$props[$val['id']]['values'] = $tp['vals'];						
			}
			
			$model->filterEqual('item_id', $val['id'] + 1000)->filterEqual('lang', $system_lang);
			$trans_prop_vals = $model->getFieldFiltered('languages_con_'.$ctype['name'].'_props', 

'vals');
			if($trans_prop_vals)$props[$key]['options']['units'] = $trans_prop_vals;
		}
	} 
# перевод свойств контента


		
		
		
        if (!$props){
            $template->renderJSON(array(
                'success' => false,
                'html' => ''
            ));
        }


        $values = $item_id ? $this->model->getPropsValues($ctype['name'], $item_id) : array();

        $fields = $this->getPropsFields($props);

        $props_html = $template->render('item_props_fields', array(
            'props' => $props,
            'fields' => $fields,
            'values' => $values,
        ), new cmsRequest(array(), cmsRequest::CTX_INTERNAL));
		
        $template->renderJSON(array(
            'success' => true,
            'html' => $props_html
        ));

    }

}